1. Users - User
3enab
👤 User Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - User
    • Register a new user
      POST
    • Login user
      POST
    • Logout user
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Addresses - User
    • Create a new address
      POST
    • Get all addresses
      GET
    • Get default address
      GET
    • Get address by ID
      GET
    • Update address
      PUT
    • Delete address
      DELETE
    • Set as default address
      PATCH
  • Ads - User
    • Get all advertisements
      GET
    • Get a specific advertisement by ID
      GET
  • Coupons - User
    • Get available coupons
      GET
  • Delivery Areas - User
    • Get all active delivery areas
      GET
  • Items - User
    • Get all items
    • Get a specific item by ID
    • Get variants of an item
    • Get all items (Direct Access)
    • Get all items for a specific vendor (Direct Access)
    • Get item by ID (Direct Access)
  • Menu Categories - User
    • Get all active menu categories for a vendor
    • Get a menu category by ID
  • Orders - User
    • Preview order pricing
    • Get all orders
    • Create a new order
    • Get order by ID
    • Cancel order
  • Rates - User
    • Create a new rating for a vendor
    • Get all ratings for a vendor
    • Get a specific rating by ID
    • Update a rating
    • Delete a rating
  • Users - User
    • Get current user profile
      GET
    • Update current user profile
      PUT
    • Delete current user account
      DELETE
    • Change user password
      POST
  • Vendor Categories - User
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - User
    • Get all active vendors
    • Get vendor by ID
    • Get vendor logo
  • Versions - User
    • Get the latest version for User app
  • App Notices - User
    • Get active app notices
  1. Users - User

Get current user profile

GET
/api/v1/users/me
Retrieve the profile of the currently authenticated user

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Header Params

Responses

🟢200OK
application/json
User profile retrieved successfully
Body

Example
{
    "status": "success",
    "message": "User profile fetched successfully",
    "data": {
        "user": {
            "_id": "64f1a2b3c4d5e6f7890a1234",
            "name": "John Doe",
            "email": "john@example.com",
            "isEmailVerified": true,
            "phone": 1234567890,
            "isPhoneVerified": true,
            "type": "user",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    }
}
🟠401Unauthorized
🔴500Internal Server Error
Modified at 2026-04-08 13:48:58
Previous
Delete a rating
Next
Update current user profile
Built with